[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCursorImage.LoadFromResourceHandle

Loads cursor images from the specified instance and resource handles.

## Declaration

Source position: graphics.pp line 1773

`public procedure TCursorImage.LoadFromResourceHandle(`
`Instance: TLCLHandle;`
`ResHandle: TFPResourceHandle`
`); override;`

## Arguments

`Instance` |  | Handle for the resource instance with the cursor image.
`ResHandle` |  | Handle for the resource entry with the cursor image.

## Description

LoadFromResourceHandle is an overridden method in TCursorImage used to load cursor image(s) from the group cursor resource identified in the Instance and ResHandle arguments. It calls the RTL LoadResource routine to get the global handle used for the resource(s) on the platform. No actions are performed in the method if the handle is unassigned (0).

LoadFromResourceHandle creates a temporary resource stream which is used to store the group cursor resources, including hot spot and image offset data. ReadData is called to load the values from the stream to the shared raster image used for the group cursor resources.

LoadFromResourceHandle reimplements the empty implementation introduced in the TCustomIcon ancestor.

## Version info

Modified in LCL version 4.0 to use the TLCLHandle type instead of the deprecated THandle type in the Instance parameter.

## See also

TCustomIcon.LoadFromResourceHandle |  | Loads icon data from the specified instance and resource handles.
TCustomIcon.ReadData |  | Reads data for the class instance from a stream.
LCLType.TLCLHandle |  | Alias to the TLCLHandle type defined for widgetset references.
WSReferences.TLCLHandle |  | The type used for handles in LCL applications, components, controls, and widget set classes.